Skip to main content
POST
/
v1
/
partner
/
merchants
/
{merchantId}
/
card-payments
/
onboard
curl -X POST https://api.acountpay.com/v1/partner/merchants/42/card-payments/onboard \
  -H "X-Partner-Client-Id: your-client-id" \
  -H "X-Partner-Client-Secret: your-client-secret"
{
  "webKybUrl": "https://onboarding.surfboard.com/kyb/abc123",
  "applicationId": "app_abc123",
  "shortLinkUrl": "https://sbrd.link/abc123",
  "applicationStatus": "PENDING"
}

Authentication

X-Partner-Client-Id
string
required
Your partner client ID
X-Partner-Client-Secret
string
required
Your partner client secret

Path Parameters

merchantId
integer
required
The numeric merchant ID

Response

webKybUrl
string
URL for the merchant to complete KYB verification. This link is also emailed to the merchant automatically.
applicationId
string
The onboarding application ID for tracking status
Shortened version of the KYB URL (if available)
applicationStatus
string
Current application status (e.g. PENDING, IN_REVIEW, MERCHANT_CREATED)
curl -X POST https://api.acountpay.com/v1/partner/merchants/42/card-payments/onboard \
  -H "X-Partner-Client-Id: your-client-id" \
  -H "X-Partner-Client-Secret: your-client-secret"
{
  "webKybUrl": "https://onboarding.surfboard.com/kyb/abc123",
  "applicationId": "app_abc123",
  "shortLinkUrl": "https://sbrd.link/abc123",
  "applicationStatus": "PENDING"
}